/**
 * 
 */
package com.github.ansell.oas.website;

import org.restlet.Context;
import org.restlet.Request;
import org.restlet.Response;
import org.restlet.Restlet;
import org.restlet.data.Status;

import com.github.ansell.oas.utils.ApplicationUtils;
import com.github.ansell.oas.webservice.OasWebServiceApplication;

/**
 * Resets an application using ApplicationUtils.setupApplication.
 * 
 * @author Peter Ansell p_ansell@yahoo.com
 * 
 */
public class TestResetResource extends Restlet
{
    private OasWebServiceApplication application;
    
    /**
     * 
     */
    public TestResetResource()
    {
    }
    
    /**
     * @param context
     */
    public TestResetResource(final Context context)
    {
        super(context);
    }
    
    public TestResetResource(final OasWebServiceApplication application)
    {
        this.application = application;
    }
    
    @Override
    public void handle(final Request request, final Response response)
    {
        super.handle(request, response);
        
        ApplicationUtils.setupApplication(this.application, this.application.getContext());
        
        response.setStatus(Status.SUCCESS_NO_CONTENT);
    }
    
}
